The `identify` program describes the format and characteristics of one or more image files. It also reports if an image is incomplete or corrupt. The information returned includes the image number, the file name, the width and height of the image, whether the image is colormapped or not, the number of colors in the image, the number of bytes in the image, the format of the image (JPEG, PNM, etc.), and finally the number of seconds it took to read and process the image. Many more attributes are available with the verbose option. See Command Line Processing for advice on how to structure your `identify` command or see below for example usages of the command.

## Example Usage

We list a few examples of the `identify` command here to illustrate its usefulness and ease of use. To get started, lets identify an image in the JPEG format:

      identify rose.jpg
      rose.jpg JPEG 640x480 DirectClass 87kb 0.050u 0:01

Next, we look at the same image in greater detail:

      identify -verbose rose.jpg
      Image: rose.jpg
        Format: JPEG (Joint Photographic Experts Group JFIF format)
        Geometry: 640x480
        Class: DirectClass
        Type: TrueColor
        Endianess: Undefined
        Colorspace: RGB
        Depth: 8 bits
        Channel depth:
          Red: 8-bits
          Green: 8-bits
          Blue: 8-bits
        Channel statistics:
          Red:
            Min: 0 (0)
            Max: 255 (1)
            Mean: 228.152 (0.894713)
            Standard deviation: 70.3632 (0.275934)
          Green:
            Min: 1 (0.00392157)
            Max: 255 (1)
            Mean: 229.041 (0.898198)
            Standard deviation: 62.6714 (0.24577)
          Blue:
            Min: 0 (0)
            Max: 255 (1)
            Mean: 232.299 (0.910975)
            Standard deviation: 55.2762 (0.216769)
        Colors: 12314
        Rendering-intent: Undefined
        Resolution: 72x72
        Units: PixelsPerInch
        Filesize: 87kb
        Interlace: None
        Background Color: white
        Border Color: #DFDFDF
        Matte Color: grey74
        Dispose: Undefined
        Iterations: 0
        Compression: JPEG
        Quality: 100
        Orientation: Undefined
        JPEG-Colorspace: 2
        JPEG-Sampling-factors: 2x2,1x1,1x1
        Signature: e20b287cfed4f152572bdfb89f7f5f677d869c504620e8b1a9b3aa1d9d834785
        Tainted: False
        User Time: 0.040u
        Elapsed Time: 0:01
        Version: ImageMagick 6.2.0 02/20/05 Q16 http://www.imagemagick.org

The dimensions of depth a raw image must be specified on the command line:

      identify -depth 8 -size 640x480 image.raw
      rose.rgb RGB 70x46 DirectClass 9kb 0.000u 0:01

You can find additional examples of using `identify` in Graphics from the Command Line. Further discussion is available in More Graphics from the Command Line and Examples of ImageMagick Usage.

## Option Summary

The `identify` command recognizes these options. Click on an option to get more details about how that option works.

Option | Description
--- | ---
-authenticate value | decrypt image with this password
-channel type | apply option to select image channels
-crop geometry | crop the image
-debug events | display copious debugging information
-define format:option | define one or more image format options
-density geometry | horizontal and vertical density of the image
-depth value | image depth
-extract geometry | extract area from image
-format string | output formatted image characteristics
-help | print program options
-interlace type | type of image interlacing scheme
-limit type value | pixel cache resource limit
-list type | Color, Configure, Delegate, Format, Magic, Module, Resource, or Type
-log format | format of debugging information
-matte | store matte channel if the image has one
-monitor | monitor progress
-quiet | suppress all error or warning messages
-sampling-factor geometry | horizontal and vertical sampling factor
-set attribute value | set an image attribute
-size geometry | width and height of image
-strip | strip image of all profiles and comments
-units type | the units of image resolution
-verbose | print detailed information about the image
-version | print version information
-virtual-pixel method | access method for pixels outside the boundaries of the image

Discourse Server | Mailing Lists | Image Gallery | ImageMagick Studio
© 1999-2006 ImageMagick Studio LLC